<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (12.0.1) on Sun Jan 12 21:47:51 EST 2020 -->
<title>Configuration (protean-core 1.0.1 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-01-12">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Configuration (protean-core 1.0.1 API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":10,"i9":9,"i10":10,"i11":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">io.gitlab.littlesaints.protean.configuration</a></div>
<h2 title="Class Configuration" class="title">Class Configuration</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>io.gitlab.littlesaints.protean.configuration.Configuration</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public final class <span class="typeNameLabel">Configuration</span>
extends java.lang.Object</pre>
<div class="block">This represents the configuration for all configured <a href="../Context.html" title="interface in io.gitlab.littlesaints.protean"><code>Context</code></a>s.
 <p>
 Use the methods newInstance prefix 'load', to create an instance from any supported format. This instance can be used to look up a configured <a href="../Context.html" title="interface in io.gitlab.littlesaints.protean"><code>Context</code></a> using <a href="#getContext(java.lang.String)"><code>getContext(String)</code></a>.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../Context.html" title="interface in io.gitlab.littlesaints.protean"><code>Context</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../resources/ResourceLocator.html" title="interface in io.gitlab.littlesaints.protean.resources">ResourceLocator</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#LOCATOR">LOCATOR</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">Configuration</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="tableTab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>&lt;P,&#8203;R&gt;<br>java.util.Optional&lt;<a href="../Context.html" title="interface in io.gitlab.littlesaints.protean">Context</a>&lt;P,&#8203;R&gt;&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getContext(java.lang.String)">getContext</a></span>&#8203;(java.lang.String&nbsp;name)</code></th>
<td class="colLast">
<div class="block">Provides a <a href="../Context.html" title="interface in io.gitlab.littlesaints.protean"><code>Context</code></a> by it's name.</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>java.util.Optional&lt;<a href="ContextOptions.html" title="class in io.gitlab.littlesaints.protean.configuration">ContextOptions</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getContextOptions(java.lang.String)">getContextOptions</a></span>&#8203;(java.lang.String&nbsp;name)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>static <a href="Configuration.html" title="class in io.gitlab.littlesaints.protean.configuration">Configuration</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#loadJsonFile(java.lang.String)">loadJsonFile</a></span>&#8203;(java.lang.String&nbsp;fileName)</code></th>
<td class="colLast">
<div class="block">Loads the Configuration from json file.</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>static <a href="Configuration.html" title="class in io.gitlab.littlesaints.protean.configuration">Configuration</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#loadJsonFileFromClasspath(java.lang.Class,java.lang.String)">loadJsonFileFromClasspath</a></span>&#8203;(java.lang.Class&nbsp;aClass,
                         java.lang.String&nbsp;fileName)</code></th>
<td class="colLast">
<div class="block">Loads the Configuration from json file on classpath or further within a jar.</div>
</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>static <a href="Configuration.html" title="class in io.gitlab.littlesaints.protean.configuration">Configuration</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#loadJsonText(java.lang.String)">loadJsonText</a></span>&#8203;(java.lang.String&nbsp;jsonText)</code></th>
<td class="colLast">
<div class="block">Loads the Configuration from json text.</div>
</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>static <a href="Configuration.html" title="class in io.gitlab.littlesaints.protean.configuration">Configuration</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#loadYamlFile(java.lang.String)">loadYamlFile</a></span>&#8203;(java.lang.String&nbsp;fileName)</code></th>
<td class="colLast">
<div class="block">Loads the Configuration from yaml file.</div>
</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>static <a href="Configuration.html" title="class in io.gitlab.littlesaints.protean.configuration">Configuration</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#loadYamlFileFromClasspath(java.lang.Class,java.lang.String)">loadYamlFileFromClasspath</a></span>&#8203;(java.lang.Class&nbsp;aClass,
                         java.lang.String&nbsp;fileName)</code></th>
<td class="colLast">
<div class="block">Loads the Configuration from yaml file on classpath or further within a jar.</div>
</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code>static <a href="Configuration.html" title="class in io.gitlab.littlesaints.protean.configuration">Configuration</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#loadYamlText(java.lang.String)">loadYamlText</a></span>&#8203;(java.lang.String&nbsp;jsonText)</code></th>
<td class="colLast">
<div class="block">Loads the Configuration from yaml text.</div>
</td>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><code><a href="Configuration.html" title="class in io.gitlab.littlesaints.protean.configuration">Configuration</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#merge(io.gitlab.littlesaints.protean.configuration.Configuration)">merge</a></span>&#8203;(<a href="Configuration.html" title="class in io.gitlab.littlesaints.protean.configuration">Configuration</a>&nbsp;configurations)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><code>static <a href="Configuration.html" title="class in io.gitlab.littlesaints.protean.configuration">Configuration</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#merge(io.gitlab.littlesaints.protean.configuration.Configuration...)">merge</a></span>&#8203;(<a href="Configuration.html" title="class in io.gitlab.littlesaints.protean.configuration">Configuration</a>...&nbsp;configurations)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i10">
<td class="colFirst"><code>&lt;P,&#8203;R&gt;<br>java.util.Optional&lt;<a href="../Context.html" title="interface in io.gitlab.littlesaints.protean">Context</a>&lt;P,&#8203;R&gt;&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#updateContext(java.lang.String,io.gitlab.littlesaints.protean.configuration.ContextOptions)">updateContext</a></span>&#8203;(java.lang.String&nbsp;name,
             <a href="ContextOptions.html" title="class in io.gitlab.littlesaints.protean.configuration">ContextOptions</a>&nbsp;options)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i11">
<td class="colFirst"><code>&lt;P,&#8203;R&gt;<br>java.util.Optional&lt;<a href="../Context.html" title="interface in io.gitlab.littlesaints.protean">Context</a>&lt;P,&#8203;R&gt;&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#updateContext(java.lang.String,java.util.function.Consumer)">updateContext</a></span>&#8203;(java.lang.String&nbsp;name,
             java.util.function.Consumer&lt;<a href="ContextOptions.html" title="class in io.gitlab.littlesaints.protean.configuration">ContextOptions</a>&gt;&nbsp;decorator)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="LOCATOR">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>LOCATOR</h4>
<pre>public static final&nbsp;<a href="../resources/ResourceLocator.html" title="interface in io.gitlab.littlesaints.protean.resources">ResourceLocator</a> LOCATOR</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Configuration</h4>
<pre>public&nbsp;Configuration()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="loadJsonText(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loadJsonText</h4>
<pre class="methodSignature">public static&nbsp;<a href="Configuration.html" title="class in io.gitlab.littlesaints.protean.configuration">Configuration</a>&nbsp;loadJsonText&#8203;(java.lang.String&nbsp;jsonText)
                                  throws java.lang.Exception</pre>
<div class="block">Loads the Configuration from json text.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd>
</dl>
</li>
</ul>
<a id="loadJsonFile(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loadJsonFile</h4>
<pre class="methodSignature">public static&nbsp;<a href="Configuration.html" title="class in io.gitlab.littlesaints.protean.configuration">Configuration</a>&nbsp;loadJsonFile&#8203;(java.lang.String&nbsp;fileName)
                                  throws java.lang.Exception</pre>
<div class="block">Loads the Configuration from json file.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd>
</dl>
</li>
</ul>
<a id="loadJsonFileFromClasspath(java.lang.Class,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loadJsonFileFromClasspath</h4>
<pre class="methodSignature">public static&nbsp;<a href="Configuration.html" title="class in io.gitlab.littlesaints.protean.configuration">Configuration</a>&nbsp;loadJsonFileFromClasspath&#8203;(java.lang.Class&nbsp;aClass,
                                                      java.lang.String&nbsp;fileName)
                                               throws java.lang.Exception</pre>
<div class="block">Loads the Configuration from json file on classpath or further within a jar.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd>
</dl>
</li>
</ul>
<a id="loadYamlText(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loadYamlText</h4>
<pre class="methodSignature">public static&nbsp;<a href="Configuration.html" title="class in io.gitlab.littlesaints.protean.configuration">Configuration</a>&nbsp;loadYamlText&#8203;(java.lang.String&nbsp;jsonText)
                                  throws java.lang.Exception</pre>
<div class="block">Loads the Configuration from yaml text.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd>
</dl>
</li>
</ul>
<a id="loadYamlFile(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loadYamlFile</h4>
<pre class="methodSignature">public static&nbsp;<a href="Configuration.html" title="class in io.gitlab.littlesaints.protean.configuration">Configuration</a>&nbsp;loadYamlFile&#8203;(java.lang.String&nbsp;fileName)
                                  throws java.lang.Exception</pre>
<div class="block">Loads the Configuration from yaml file.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd>
</dl>
</li>
</ul>
<a id="loadYamlFileFromClasspath(java.lang.Class,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loadYamlFileFromClasspath</h4>
<pre class="methodSignature">public static&nbsp;<a href="Configuration.html" title="class in io.gitlab.littlesaints.protean.configuration">Configuration</a>&nbsp;loadYamlFileFromClasspath&#8203;(java.lang.Class&nbsp;aClass,
                                                      java.lang.String&nbsp;fileName)
                                               throws java.lang.Exception</pre>
<div class="block">Loads the Configuration from yaml file on classpath or further within a jar.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd>
</dl>
</li>
</ul>
<a id="merge(io.gitlab.littlesaints.protean.configuration.Configuration)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>merge</h4>
<pre class="methodSignature">public&nbsp;<a href="Configuration.html" title="class in io.gitlab.littlesaints.protean.configuration">Configuration</a>&nbsp;merge&#8203;(<a href="Configuration.html" title="class in io.gitlab.littlesaints.protean.configuration">Configuration</a>&nbsp;configurations)</pre>
</li>
</ul>
<a id="merge(io.gitlab.littlesaints.protean.configuration.Configuration...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>merge</h4>
<pre class="methodSignature">public static&nbsp;<a href="Configuration.html" title="class in io.gitlab.littlesaints.protean.configuration">Configuration</a>&nbsp;merge&#8203;(<a href="Configuration.html" title="class in io.gitlab.littlesaints.protean.configuration">Configuration</a>...&nbsp;configurations)</pre>
</li>
</ul>
<a id="getContextOptions(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getContextOptions</h4>
<pre class="methodSignature">public&nbsp;java.util.Optional&lt;<a href="ContextOptions.html" title="class in io.gitlab.littlesaints.protean.configuration">ContextOptions</a>&gt;&nbsp;getContextOptions&#8203;(java.lang.String&nbsp;name)</pre>
</li>
</ul>
<a id="getContext(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getContext</h4>
<pre class="methodSignature">public&nbsp;&lt;P,&#8203;R&gt;&nbsp;java.util.Optional&lt;<a href="../Context.html" title="interface in io.gitlab.littlesaints.protean">Context</a>&lt;P,&#8203;R&gt;&gt;&nbsp;getContext&#8203;(java.lang.String&nbsp;name)</pre>
<div class="block">Provides a <a href="../Context.html" title="interface in io.gitlab.littlesaints.protean"><code>Context</code></a> by it's name.</div>
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>P</code> - The getType of payload dealt newInstance</dd>
<dd><code>R</code> - The expected type result</dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the context name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the configured context</dd>
</dl>
</li>
</ul>
<a id="updateContext(java.lang.String,io.gitlab.littlesaints.protean.configuration.ContextOptions)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateContext</h4>
<pre class="methodSignature">public&nbsp;&lt;P,&#8203;R&gt;&nbsp;java.util.Optional&lt;<a href="../Context.html" title="interface in io.gitlab.littlesaints.protean">Context</a>&lt;P,&#8203;R&gt;&gt;&nbsp;updateContext&#8203;(java.lang.String&nbsp;name,
                                                                        <a href="ContextOptions.html" title="class in io.gitlab.littlesaints.protean.configuration">ContextOptions</a>&nbsp;options)</pre>
</li>
</ul>
<a id="updateContext(java.lang.String,java.util.function.Consumer)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>updateContext</h4>
<pre class="methodSignature">public&nbsp;&lt;P,&#8203;R&gt;&nbsp;java.util.Optional&lt;<a href="../Context.html" title="interface in io.gitlab.littlesaints.protean">Context</a>&lt;P,&#8203;R&gt;&gt;&nbsp;updateContext&#8203;(java.lang.String&nbsp;name,
                                                                        java.util.function.Consumer&lt;<a href="ContextOptions.html" title="class in io.gitlab.littlesaints.protean.configuration">ContextOptions</a>&gt;&nbsp;decorator)</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
